udp-echo-server(1)

NAME
udp-echo-server - Simple UDP Echo Server

SYNOPSIS
udp-echo-server [-L level | - -loglevel level] [-Z | - -logcolor on|off] [-O file | - -logfile file] [-q | - -quiet] [-v | - -verbose] [-U user|uid | - -user user|uid] [-A address | - -address address] [-P port | - -port port] [-f port | - -from-port port] [-t port | - -to-port port]
udp-echo-server [-h | - -help]
udp-echo-server [- -version]

DESCRIPTION
udp-echo-server is a simple UDP Echo server. It can be used as endpoint for HiPerConTracer UDP Ping/Traceroute. Note, for security reasons, udp-echo-server only responds to source ports >= 1024, to avoid using the server in attacks, like spoofing a packet from another Echo server (port 7) to create a flooding loop. Also, packets from the same port as the listening port are ignored.

ARGUMENTS
The following arguments may be provided:

-L level | - -loglevel level
    Sets the minimum logging level to the provided value: 0=trace, 1=debug, 2=info, 3=warning, 4=error, 5=fatal.

-q | - -quiet
    Sets the minimum logging level to 3 (warning).

-v | - -verbose
    Sets the minimum logging level to 0 (trace).

-Z on|off| - -logcolor on|off
    Enables (on) or disables (off) the usage of ANSI color escape sequences to colorise the log output according to its level.

-O file | - -logfile file
    Sets a file name for appending the log output to. If a file is set, no log output is made to the console. Otherwise, all log output will be written to the console.

-U user|uid | - -user user|uid
    After startup, the server uses UID and GID of the given user (by name or GID).

-A address | - -address address
    Sets the local address (default: ::).

-P port | - -port port
    Sets the local port (default: 7).

-P port | - -from-port port
    Sets the first local port of a range (default: 7).

-P port | - -to-port port
    Sets the last local port of a range (default: 0; 0 uses the "from" port).

-h | - -help
    Prints command help.

- -version
    Prints program version.

EXAMPLES

udp-echo-server

udp-echo-server --address 192.168.1.1 --port 7777

udp-echo-server --address 3ffe::1:2:3 --port 7777

udp-echo-server --address :: --user nornetpp

udp-echo-server --address 3ffe::1:2:3 --from-port 10000 --to-port 10999

udp-echo-server --version

udp-echo-server --h

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no